cURL
curl --request POST \
--url https://aodocs.altirnao.com/api/folder/v1/libraries/{libraryId}/foldersAndDocuments/move \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentIds": [
"<string>"
],
"folderIds": [
"<string>"
],
"kind": "<string>"
}
'import requests
url = "https://aodocs.altirnao.com/api/folder/v1/libraries/{libraryId}/foldersAndDocuments/move"
payload = {
"documentIds": ["<string>"],
"folderIds": ["<string>"],
"kind": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({documentIds: ['<string>'], folderIds: ['<string>'], kind: '<string>'})
};
fetch('https://aodocs.altirnao.com/api/folder/v1/libraries/{libraryId}/foldersAndDocuments/move', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>",
"kind": "<string>"
}folder
Post folderv1libraries foldersanddocumentsmove
Moves multiple folders and documents into the parent folder
POST
/
folder
/
v1
/
libraries
/
{libraryId}
/
foldersAndDocuments
/
move
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the library
Query Parameters
Id of the destination folder
The security code
The G Suite domain
Get folderv1libraries foldersanddocuments
Previous
Post folderv1libraries foldersanddocumentstrash
Next
⌘I